Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.testing
Class RawScribeRegrTest.TestScribeContent

    java.lang.Object
      rice.p2p.scribe.testing.RawScribeRegrTest.TestScribeContent

All Implemented Interfaces:
  java.io.Serializable, RawScribeContent, ScribeContent

Enclosing class:
  RawScribeRegrTest

    protected static class RawScribeRegrTest.TestScribeContent

extends java.lang.Object
implements RawScribeContent

Utility class for past content objects

Version:
  $Id: ScribeRegrTest.java 3157 2006-03-19 12:16:58Z jeffh $
Author:
  amislove
See Also:
  Serialized Form

Field Summary
`protected int` | `num` DESCRIBE THE FIELD
`protected Topic` | `topic` DESCRIBE THE FIELD
`static short` | `TYPE`

Constructor Summary
`RawScribeRegrTest.TestScribeContent(InputBuffer buf, Endpoint endpoint)`
`RawScribeRegrTest.TestScribeContent(Topic topic, int num)` Constructor for TestScribeContent.

Method Summary
`boolean` | `equals(java.lang.Object o)` DESCRIBE THE METHOD
`short` | `getType()`
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### topic

    protected Topic topic

  DESCRIBE THE FIELD

### num

    protected int num

  DESCRIBE THE FIELD

Constructor Detail

### RawScribeRegrTest.TestScribeContent

    public RawScribeRegrTest.TestScribeContent(Topic topic,
                                               int num)

  Constructor for TestScribeContent.

  Parameters:
    `topic` - DESCRIBE THE PARAMETER
    `num` - DESCRIBE THE PARAMETER

### RawScribeRegrTest.TestScribeContent

    public RawScribeRegrTest.TestScribeContent(InputBuffer buf,
                                               Endpoint endpoint)
                                        throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  DESCRIBE THE METHOD

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    DESCRIBE THE RETURN VALUE

### getType

    public short getType()

  Specified by:
    `getType` in interface `RawScribeContent`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawScribeContent`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.